## py-nextbusnext 2.0.3

=== Makefile ===
ENV := env

.PHONY: default
default: test

# Creates virtualenv
$(ENV):
	python3 -m venv $(ENV)
	$(ENV)/bin/pip install -e .

# Install wheel for building packages
$(ENV)/bin/wheel: $(ENV)
	$(ENV)/bin/pip install wheel

# Install twine for uploading packages
$(ENV)/bin/twine: $(ENV)
	$(ENV)/bin/pip install twine

# Install pre-commit and other devenv items
$(ENV)/bin/pre-commit: $(ENV)
	$(ENV)/bin/pip install -r ./requirements-dev.txt

# Installs dev requirements to virtualenv
.PHONY: devenv
devenv: $(ENV)/bin/pre-commit

# Generates a small build env for building and uploading dists
.PHONY: build-env
build-env: $(ENV)/bin/twine $(ENV)/bin/wheel

# Runs tests
.PHONY: test
test: $(ENV) $(ENV)/bin/pre-commit
	# $(ENV)/bin/tox
	$(ENV)/bin/pre-commit run --all-files

# Builds wheel for package to upload
.PHONY: build
build: $(ENV)/bin/wheel
	$(ENV)/bin/python setup.py sdist
	$(ENV)/bin/python setup.py bdist_wheel

# Verify that the python version matches the git tag so we don't push bad shas
.PHONY: verify-tag-version
verify-tag-version: $(ENV)/bin/wheel
	$(eval TAG_NAME = $(shell [ -n "$(DRONE_TAG)" ] && echo $(DRONE_TAG) || git describe --tags --exact-match))
	test "v$(shell $(ENV)/bin/python setup.py -V)" = "$(TAG_NAME)"

# Uses twine to upload to pypi
.PHONY: upload
upload: verify-tag-version build $(ENV)/bin/twine
	$(ENV)/bin/twine upload dist/*

# Uses twine to upload to test pypi
.PHONY: upload-test
upload-test: verify-tag-version build $(ENV)/bin/twine
	$(ENV)/bin/twine upload --repository-url https://test.pypi.org/legacy/ dist/*

# Cleans all build, runtime, and test artifacts
.PHONY: clean
clean:
	rm -fr ./build ./py_nextbus.egg-info
	find . -name '*.pyc' -delete
	find . -name '__pycache__' -delete

# Cleans dist and env
.PHONY: dist-clean
dist-clean: clean
	rm -fr ./dist $(ENV)

# Install pre-commit hooks
.PHONY: install-hooks
install-hooks:  $(ENV)/bin/pre-commit
	$(ENV)/bin/pre-commit install -f --install-hooks

=== debian/changelog ===
py-nextbusnext (2.0.3-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 13:30:04 +0900

py-nextbusnext (2.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1076801)

 -- Edward Betts <edward@4angle.com>  Wed, 24 Jul 2024 11:54:04 +0900

=== debian/control ===
Source: py-nextbusnext
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-requests <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/ViViDboarder/py_nextbusnext
Vcs-Browser: https://salsa.debian.org/python-team/packages/py-nextbusnext
Vcs-Git: https://salsa.debian.org/python-team/packages/py-nextbus.git

Package: python3-nextbusnext
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python client for accessing real-time transit data from the NextBus API
 A minimalistic Python client that interfaces with the NextBus public API, which
 delivers real-time public transport arrival data. This library facilitates the
 retrieval of information on transport routes, predictions, and schedules,
 making it ideal for applications that depend on current public transit updates.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=py-nextbusnext

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf py_nextbusnext.egg-info/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/py-nextbusnext-$1\.tar\.gz/ \
  https://github.com/ViViDboarder/py_nextbusnext/tags .*/v?(\d\S+)\.tar\.gz

## py-nextbusnext 2.0.5

=== Makefile ===
--- 
+++ 
@@ -10,11 +10,11 @@
 
 # Install wheel for building packages
 $(ENV)/bin/wheel: $(ENV)
-	$(ENV)/bin/pip install wheel
+	$(ENV)/bin/pip install wheel setuptools
 
 # Install twine for uploading packages
 $(ENV)/bin/twine: $(ENV)
-	$(ENV)/bin/pip install twine
+	$(ENV)/bin/pip install twine setuptools
 
 # Install pre-commit and other devenv items
 $(ENV)/bin/pre-commit: $(ENV)
@@ -31,7 +31,7 @@
 # Runs tests
 .PHONY: test
 test: $(ENV) $(ENV)/bin/pre-commit
-	# $(ENV)/bin/tox
+	$(ENV)/bin/tox
 	$(ENV)/bin/pre-commit run --all-files
 
 # Builds wheel for package to upload

=== debian/changelog ===
py-nextbusnext (2.0.5-2) unstable; urgency=medium

  * Fix Vcs-Git URL.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Tue, 18 Feb 2025 18:18:09 -0500

py-nextbusnext (2.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Move packages required for tests to Build-Depends-Indep.

 -- Edward Betts <edward@4angle.com>  Wed, 21 Aug 2024 07:52:59 +0100

py-nextbusnext (2.0.4-1) unstable; urgency=medium

  * New upstream release.
  * Run tests during build and via autopkgtest.

 -- Edward Betts <edward@4angle.com>  Fri, 16 Aug 2024 09:33:10 +0100

=== debian/control ===
Source: py-nextbusnext
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-requests <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/ViViDboarder/py_nextbusnext
Vcs-Browser: https://salsa.debian.org/python-team/packages/py-nextbusnext
Vcs-Git: https://salsa.debian.org/python-team/packages/py-nextbusnext.git

Package: python3-nextbusnext
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python client for accessing real-time transit data from the NextBus API
 A minimalistic Python client that interfaces with the NextBus public API, which
 delivers real-time public transport arrival data. This library facilitates the
 retrieval of information on transport routes, predictions, and schedules,
 making it ideal for applications that depend on current public transit updates.

=== debian/rules ===
#!/usr/bin/make -f
export PYBUILD_TEST_ARGS=-p "*_test.py"

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, @,

## py-nextbusnext 2.3.0

=== Makefile ===
--- 
+++ 
@@ -28,11 +28,16 @@
 .PHONY: build-env
 build-env: $(ENV)/bin/twine $(ENV)/bin/wheel
 
-# Runs tests
+# Runs unit tests
 .PHONY: test
 test: $(ENV) $(ENV)/bin/pre-commit
 	$(ENV)/bin/tox
 	$(ENV)/bin/pre-commit run --all-files
+
+# Runs acceptance tests
+.PHONY: acceptance
+acceptance: $(ENV)
+	$(ENV)/bin/tox -e acceptance
 
 # Builds wheel for package to upload
 .PHONY: build

=== debian/changelog ===
py-nextbusnext (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Re-enable the test suite.
  * Switch to using pytest to run tests.
  * Enable autopkgtest-pkg-pybuild.

 -- Edward Betts <edward@4angle.com>  Sun, 15 Jun 2025 14:51:31 +0100

py-nextbusnext (2.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Tue, 03 Jun 2025 11:52:08 -0500

py-nextbusnext (2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Skip tests, they need network access.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Sun, 18 May 2025 11:18:34 +0100

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,14 @@
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
+ python3-pytest <!nocheck>,
  python3-requests <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/ViViDboarder/py_nextbusnext
 Vcs-Browser: https://salsa.debian.org/python-team/packages/py-nextbusnext
 Vcs-Git: https://salsa.debian.org/python-team/packages/py-nextbusnext.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-nextbusnext
 Architecture: all

=== debian/watch ===
version=4
https://github.com/ViViDboarder/py_nextbusnext/tags .*/v?(\d\S+)\.tar\.gz
